# RangeError class

Error thrown due to an index being outside a valid range.

Inheritance
  - Object
  - Error
  - ArgumentError
  - RangeError
Implementers
  - IndexError

## Constructors

RangeError(dynamic message)
  Create a new RangeError with the given `message`.
RangeError.index(int index, dynamic indexable, [ String name, String message, int length ])
  Creates a new RangeError stating that `index` is not a valid index into `indexable`. [...]
  factory
RangeError.range(num invalidValue, int minValue, int maxValue, [ String name, String message ])
  Create a new RangeError for a value being outside the valid range. [...]
RangeError.value(num value, [ String name, String message ])
  Create a new RangeError with a message for the given `value`. [...]

## Properties

end → num
  The maximum value that value is allowed to assume.
  final
start → num
  The minimum value that value is allowed to assume.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
invalidValue → dynamic
  The invalid value.
  final, inherited
message → dynamic
  Message describing the problem.
  final, inherited
name → String
  Name of the invalid argument, if available.
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Methods

checkNotNegative(int value, [ String name, String message ]) → void
  Check that an integer value isn't negative. [...]
checkValidIndex(int index, dynamic indexable, [ String name, int length, String message ]) → void
  Check that a value is a valid index into an indexable object. [...]
checkValidRange(int start, int end, int length, [ String startName, String endName, String message ]) → int
  Check that a range represents a slice of an indexable object. [...]
checkValueInInterval(int value, int minValue, int maxValue, [ String name, String message ]) → void
  Check that a `value` lies in a specific interval. [...]